package com.kingdee.eas.custom.attendanceexception;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCenterLeaderRelationEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractCenterLeaderRelationEntryInfo()
    {
        this("id");
    }
    protected AbstractCenterLeaderRelationEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: ·ÖÂ¼ 's null property 
     */
    public com.kingdee.eas.custom.attendanceexception.CenterLeaderRelationInfo getParent()
    {
        return (com.kingdee.eas.custom.attendanceexception.CenterLeaderRelationInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.attendanceexception.CenterLeaderRelationInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: ·ÖÂ¼ 's ÈËÔ± property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("E42D8BAB");
    }
}